#!/usr/bin/env python2

#######################################################
#######################################################
from __future__ import nested_scopes

import time 
import re 

import gtk

import wconfig

#######################################################
##
#######################################################

class classGui:
    def __init__(self): 
        self.time = None
        self.date = None

#######################################################
##
#######################################################

def Update(widget,gui):
    
    the_time = time.localtime(time.time())
    timestr = time.strftime(wconfig.clock.time_fmt,the_time)
    datestr = time.strftime(wconfig.clock.date_fmt,the_time)

    gui.date.set_markup(datestr)
    gui.time.set_markup(timestr)

    gtk.timeout_add(wconfig.clock.updatems,Update,None,gui);


#######################################################
##
#######################################################
    
def CreateWidget(tooltips):

    gui = classGui()
    
    vbox = gtk.VBox()
    vbox.show()

    label = gtk.Label("No Time")
    label.set_name("clock_time")
    vbox.pack_start(label,0,0)
    label.show()
    gui.time = label

    label = gtk.Label("No Date")
    label.set_name("clock_date")
    vbox.pack_start(label,0,0)
    label.show()
    gui.date = label

#    options = 0;
#    options = options |  gtk.CALENDAR_SHOW_DAY_NAMES
#    options = options |  gtk.CALENDAR_SHOW_HEADING
#    options = options |  gtk.CALENDAR_WEEK_START_MONDAY

#    gui.calendar = gtk.Calendar()
#    vbox.pack_start(gui.calendar,0,0)
#    gui.calendar.display_options(options) 
#    gui.calendar.show()

#    def ActionToday(widget):
#        tupel = time.localtime(time.time())
#        gui.calendar.select_month(tupel[1]-1,tupel[0])
#        gui.calendar.select_day(tupel[2])

#    button = gtk.Button(" Today ")
#    vbox.pack_start(button,0,0,0)
#    button.connect('clicked', ActionToday)
#    button.show()


    Update(None,gui)

#    ActionToday(None)

    return vbox

#######################################################
##
#######################################################

if __name__ == '__main__':

    window = gtk.Window()

    def destroy(args):
        window.destroy()
        gtk.mainquit()


    window.connect("destroy", destroy)
    window.set_title('clock')
    window.set_border_width(0)

#    window.set_uposition( config.clock.x,config.clock.y)
#    window.set_usize( config.win.width, config.win.height)
    widget = CreateWidget(None)
    window.add(widget)
    window.show()
        

    gtk.mainloop()
    
#######################################################
# eof
#######################################################




