#!/usr/bin/env python

import gtk
import os

#######################################################
#
#######################################################

try:
      datapath = os.environ['WINZIG_DATA_PATH'] 
except:
      datapath = "Data/"

#######################################################
#
#######################################################

class classZettel:
      def __init__(self):
          self.database = None
          self.path = None
          self.textfont = None

zettel = classZettel()
zettel.database = datapath + "zettel.db"
zettel.path = datapath + "Notebook/"

#######################################################
#
#######################################################

class classTodo:
    def __init__(self):
        self.database = None
        return
  
todo = classTodo()
todo.database = datapath + "todo.db"

#######################################################
#
#######################################################

class classContacts:
    def __init__(self):
        self.database = None
        return

contacts = classTodo()
contacts.database =  datapath + "contacts.db"

#######################################################
#
#######################################################

class classCalendar:
    def __init__(self):
       return


calendar = classCalendar()

# start week on monday instead of sunday

calendar.week_start_monday = True
calendar.database =  datapath + "calendar.db"

#######################################################
#######################################################

class classClock:
    def __init__(self):
        self.time_font = None
        self.date_font = None
        self.time_fmt = None
        self.date_fmt = None
        self.updatems = None   
        return
  
clock = classClock()
clock.updatems = 30000

clock.time_fmt = "<b><big>%H:%M</big></b>"
clock.date_fmt = "\n<b>%a  %d %b %Y</b>\n"


#######################################################
# eof
#######################################################
