#!/usr/bin/env python2
#######################################################
#
#    Winzig's About
#
#    Copyright (C) 2001-2003 Robert Muth <robert at muth dot org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; version 2 of June 1991.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program in form of the file COPYING; 
#    if not, write to the 
#
#    Free Software Foundation, Inc. <http://www.fsf.org>
#    59 Temple Place, Suite 330, 
#    Boston, MA 02111-1307  USA
#    $Id: wabout.py,v 1.48 2003/12/06 20:29:58 muth Exp $
#
#######################################################

from __future__ import nested_scopes

import gtk
import wconfig

#######################################################

version = "Winzig $Revision: 1.48 $"

copyright = "Copyright (C) 2001-2003 Robert Muth"

about = "\n" + \
        "<b>" + copyright + "</b>\n" + "\n" + \
        "Winzig comes with\n" + \
        "ABSOLUTELY NO WARRANTY;\n" + \
        "for details see  the file COPYING.\n"          + \
        "This is free software, and you are welcome\n"  + \
        "to redistribute it under certain conditions;\n"+ \
        "for details see  the file '00copying'.\n"          + \
        "\n"                                            + \
        "Email comments and suggestions to:\n"   + \
        "&lt;robert at muth dot org&gt;\n" +\
        "\n" + \
        "\n" + \
        "<b>" + version + "</b>\n" + "\n" 
        



#######################################################


def CreateWidget(tooltips):

    global about

    vbox = gtk.VBox()
    vbox.show()
    
    label = gtk.Label("")
    label.set_markup(about)
    label.show()
    
    vbox.pack_start(label)

    return vbox

#######################################################

#######################################################

if __name__ == '__main__':

    window = gtk.Window()
    
    def destroy(args):
        window.destroy()
        gtk.mainquit()
    
    window.connect("destroy", destroy)
    window.set_title('ABOUT')

    tooltips = gtk.Tooltips()

    widget = CreateWidget(tooltips)
    window.add(widget)
    window.show()
    gtk.mainloop()

#######################################################
# eof
#######################################################




