#!/usr/bin/env python2.1
#######################################################
#
#    Winzig's Calendar
#
#    Copyright (C) 2001,2002 Robert Muth <robert at muth dot org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; version 2 of June 1991.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program in form of the file COPYING; 
#    if not, write to the 
#
#    Free Software Foundation, Inc. <http://www.fsf.org>
#    59 Temple Place, Suite 330, 
#    Boston, MA 02111-1307  USA
#    $Id: wutil.py,v 1.1 2003/05/25 16:32:45 muth Exp $
#
#######################################################

from __future__ import nested_scopes

import gtk
import string
import sys

#######################################################
#
#######################################################        
def gui_message(title,message,buttons):

      dialog = gtk.Dialog()
      label = gtk.Label(message)
      dialog.vbox.add(label)

      def ActionButtonPressed(dummy,a):
            dialog.destroy()
            if a: a()
            return

      for (b,a) in buttons:
          button = gtk.Button(b)
          dialog.action_area.add(button)
          button.connect("clicked",ActionButtonPressed,a)

      dialog.set_title(title)
      dialog.set_modal(1)
#      dialog.set_uposition()
      dialog.show_all()

      return

#######################################################

def Debug(message):
    print "DEBUG: ",message

#######################################################
## 
#######################################################

def Info(message):
    print "INFO: ",message
    return

#######################################################
## 
#######################################################
    
def Warning(message):
    print "WARNING: ",message
    return

#######################################################
## 
#######################################################

def Error(message):
    print "ERROR: ",message
    sys.exit(-1)


#######################################################
## eof
#######################################################

